com.sun.grid.jgdi.configuration

## Class AdvanceReservationImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.AdvanceReservationImpl

- All Implemented Interfaces:
    AdvanceReservation, GEObject, java.io.Serializable, java.lang.Cloneable

      public class AdvanceReservationImpl
      extends GEObjectImpl
      implements AdvanceReservation

  Java representation of the cull object AR_Type defined in sge_all_listsL.template

  Warning: The AdvanceReservationImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvanceReservationImpl()` Create a new instance of AdvanceReservationImpl.
    `AdvanceReservationImpl(boolean initWithDefaultValues)` Create a new instanceof
    `AdvanceReservationImpl(int id)` Create a new instance of AdvanceReservationImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAcl(ARA aacl)` Add a com.sun.grid.jgdi.configuration.ARA attribute.
    `void` | `addGrantedSlots(JG agrantedSlots)` Add a com.sun.grid.jgdi.configuration.JG attribute.
    `void` | `addMail(MailReceiver amail)` Add a com.sun.grid.jgdi.configuration.MailReceiver attribute.
    `void` | `addMasterQueue(java.lang.String amasterQueue)` Add a java.lang.String attribute.
    `void` | `addPeRange(Range apeRange)` Add a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `addQueue(java.lang.String aqueue)` Add a java.lang.String attribute.
    `void` | `addReservedQueues(QueueInstance areservedQueues)` Add a com.sun.grid.jgdi.configuration.QueueInstance attribute.
    `void` | `addResource(ComplexEntry aresource)` Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `addResourceUtilization(ResourceUtilization aresourceUtilization)` Add a com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
    `void` | `addXacl(ARA axacl)` Add a com.sun.grid.jgdi.configuration.ARA attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getAccount()` Get the value of the account attribute.
    `ARA` | `getAcl(int index)` Get a com.sun.grid.jgdi.configuration.ARA attribute at an index.
    `int` | `getAclCount()` Get the number of com.sun.grid.jgdi.configuration.ARA attributes.
    `java.util.List<ARA>` | `getAclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ARA attributes.
    `java.lang.String` | `getCheckpointName()` Get the value of the checkpointName attribute.
    `int` | `getDuration()` Get the value of the duration attribute.
    `int` | `getEndTime()` Get the value of the endTime attribute.
    `int` | `getErrorHandling()` Get the value of the errorHandling attribute.
    `java.lang.String` | `getGrantedPe()` Get the value of the grantedPe attribute.
    `JG` | `getGrantedSlots(int index)` Get a com.sun.grid.jgdi.configuration.JG attribute at an index.
    `int` | `getGrantedSlotsCount()` Get the number of com.sun.grid.jgdi.configuration.JG attributes.
    `java.util.List<JG>` | `getGrantedSlotsList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JG attributes.
    `java.lang.String` | `getGroup()` Get the value of the group attribute.
    `int` | `getId()` Get the value of the id attribute.
    `MailReceiver` | `getMail(int index)` Get a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
    `int` | `getMailCount()` Get the number of com.sun.grid.jgdi.configuration.MailReceiver attributes.
    `java.util.List<MailReceiver>` | `getMailList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.MailReceiver attributes.
    `int` | `getMailOptions()` Get the value of the mailOptions attribute.
    `java.lang.String` | `getMasterQueue(int index)` Get a java.lang.String attribute at an index.
    `int` | `getMasterQueueCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getMasterQueueList()` Get a unmodifiable list of all java.lang.String attributes.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `java.lang.String` | `getOwner()` Get the value of the owner attribute.
    `java.lang.String` | `getPe()` Get the value of the pe attribute.
    `Range` | `getPeRange(int index)` Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `int` | `getPeRangeCount()` Get the number of com.sun.grid.jgdi.configuration.Range attributes.
    `java.util.List<Range>` | `getPeRangeList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
    `java.lang.String` | `getQueue(int index)` Get a java.lang.String attribute at an index.
    `int` | `getQueueCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getQueueList()` Get a unmodifiable list of all java.lang.String attributes.
    `QueueInstance` | `getReservedQueues(int index)` Get a com.sun.grid.jgdi.configuration.QueueInstance attribute at an index.
    `int` | `getReservedQueuesCount()` Get the number of com.sun.grid.jgdi.configuration.QueueInstance attributes.
    `java.util.List<QueueInstance>` | `getReservedQueuesList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstance attributes.
    `ComplexEntry` | `getResource(int index)` Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `int` | `getResourceCount()` Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `java.util.List<ComplexEntry>` | `getResourceList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `ResourceUtilization` | `getResourceUtilization(int index)` Get a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
    `int` | `getResourceUtilizationCount()` Get the number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `java.util.List<ResourceUtilization>` | `getResourceUtilizationList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `int` | `getStartTime()` Get the value of the startTime attribute.
    `int` | `getState()` Get the value of the state attribute.
    `java.lang.String` | `getStateAsString()`
    `int` | `getSubmissionTime()` Get the value of the submissionTime attribute.
    `int` | `getType()` Get the value of the type attribute.
    `int` | `getVerify()` Get the value of the verify attribute.
    `ARA` | `getXacl(int index)` Get a com.sun.grid.jgdi.configuration.ARA attribute at an index.
    `int` | `getXaclCount()` Get the number of com.sun.grid.jgdi.configuration.ARA attributes.
    `java.util.List<ARA>` | `getXaclList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ARA attributes.
    `boolean` | `isSetAccount()` Determine if the account attribute is set
    `boolean` | `isSetAcl()` Determine if the acl attribute is set
    `boolean` | `isSetCheckpointName()` Determine if the checkpointName attribute is set
    `boolean` | `isSetDuration()` Determine if the duration attribute is set
    `boolean` | `isSetEndTime()` Determine if the endTime attribute is set
    `boolean` | `isSetErrorHandling()` Determine if the errorHandling attribute is set
    `boolean` | `isSetGrantedPe()` Determine if the grantedPe attribute is set
    `boolean` | `isSetGrantedSlots()` Determine if the grantedSlots attribute is set
    `boolean` | `isSetGroup()` Determine if the group attribute is set
    `boolean` | `isSetId()` Determine if the id attribute is set
    `boolean` | `isSetMail()` Determine if the mail attribute is set
    `boolean` | `isSetMailOptions()` Determine if the mailOptions attribute is set
    `boolean` | `isSetMasterQueue()` Determine if the masterQueue attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetOwner()` Determine if the owner attribute is set
    `boolean` | `isSetPe()` Determine if the pe attribute is set
    `boolean` | `isSetPeRange()` Determine if the peRange attribute is set
    `boolean` | `isSetQueue()` Determine if the queue attribute is set
    `boolean` | `isSetReservedQueues()` Determine if the reservedQueues attribute is set
    `boolean` | `isSetResource()` Determine if the resource attribute is set
    `boolean` | `isSetResourceUtilization()` Determine if the resourceUtilization attribute is set
    `boolean` | `isSetStartTime()` Determine if the startTime attribute is set
    `boolean` | `isSetState()` Determine if the state attribute is set
    `boolean` | `isSetSubmissionTime()` Determine if the submissionTime attribute is set
    `boolean` | `isSetType()` Determine if the type attribute is set
    `boolean` | `isSetVerify()` Determine if the verify attribute is set
    `boolean` | `isSetXacl()` Determine if the xacl attribute is set
    `boolean` | `removeAcl(ARA aacl)` Remote a specific com.sun.grid.jgdi.configuration.ARA attribute.
    `ARA` | `removeAcl(int index)` Remote a com.sun.grid.jgdi.configuration.ARA attribute at an index.
    `void` | `removeAllAcl()` Remove all com.sun.grid.jgdi.configuration.ARA attributes.
    `void` | `removeAllGrantedSlots()` Remove all com.sun.grid.jgdi.configuration.JG attributes.
    `void` | `removeAllMail()` Remove all com.sun.grid.jgdi.configuration.MailReceiver attributes.
    `void` | `removeAllMasterQueue()` Remove all java.lang.String attributes.
    `void` | `removeAllPeRange()` Remove all com.sun.grid.jgdi.configuration.Range attributes.
    `void` | `removeAllQueue()` Remove all java.lang.String attributes.
    `void` | `removeAllReservedQueues()` Remove all com.sun.grid.jgdi.configuration.QueueInstance attributes.
    `void` | `removeAllResource()` Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
    `void` | `removeAllResourceUtilization()` Remove all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
    `void` | `removeAllXacl()` Remove all com.sun.grid.jgdi.configuration.ARA attributes.
    `JG` | `removeGrantedSlots(int index)` Remote a com.sun.grid.jgdi.configuration.JG attribute at an index.
    `boolean` | `removeGrantedSlots(JG agrantedSlots)` Remote a specific com.sun.grid.jgdi.configuration.JG attribute.
    `MailReceiver` | `removeMail(int index)` Remote a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
    `boolean` | `removeMail(MailReceiver amail)` Remote a specific com.sun.grid.jgdi.configuration.MailReceiver attribute.
    `java.lang.String` | `removeMasterQueue(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeMasterQueue(java.lang.String amasterQueue)` Remote a specific java.lang.String attribute.
    `Range` | `removePeRange(int index)` Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
    `boolean` | `removePeRange(Range apeRange)` Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
    `java.lang.String` | `removeQueue(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeQueue(java.lang.String aqueue)` Remote a specific java.lang.String attribute.
    `QueueInstance` | `removeReservedQueues(int index)` Remote a com.sun.grid.jgdi.configuration.QueueInstance attribute at an index.
    `boolean` | `removeReservedQueues(QueueInstance areservedQueues)` Remote a specific com.sun.grid.jgdi.configuration.QueueInstance attribute.
    `boolean` | `removeResource(ComplexEntry aresource)` Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `ComplexEntry` | `removeResource(int index)` Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
    `ResourceUtilization` | `removeResourceUtilization(int index)` Remote a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
    `boolean` | `removeResourceUtilization(ResourceUtilization aresourceUtilization)` Remote a specific com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
    `boolean` | `removeXacl(ARA axacl)` Remote a specific com.sun.grid.jgdi.configuration.ARA attribute.
    `ARA` | `removeXacl(int index)` Remote a com.sun.grid.jgdi.configuration.ARA attribute at an index.
    `void` | `setAccount(java.lang.String aAccount)` Set the account attribute.
    `void` | `setAcl(int index, ARA aacl)` Set a com.sun.grid.jgdi.configuration.ARA attribute.
    `void` | `setCheckpointName(java.lang.String aCheckpointName)` Set the checkpointName attribute.
    `void` | `setDuration(int aDuration)` Set the duration attribute.
    `void` | `setEndTime(int aEndTime)` Set the endTime attribute.
    `void` | `setErrorHandling(int aErrorHandling)` Set the errorHandling attribute.
    `void` | `setGrantedPe(java.lang.String aGrantedPe)` Set the grantedPe attribute.
    `void` | `setGrantedSlots(int index, JG agrantedSlots)` Set a com.sun.grid.jgdi.configuration.JG attribute.
    `void` | `setGroup(java.lang.String aGroup)` Set the group attribute.
    `void` | `setId(int aId)` Set the id attribute.
    `void` | `setMail(int index, MailReceiver amail)` Set a com.sun.grid.jgdi.configuration.MailReceiver attribute.
    `void` | `setMailOptions(int aMailOptions)` Set the mailOptions attribute.
    `void` | `setMasterQueue(int index, java.lang.String amasterQueue)` Set a java.lang.String attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setOwner(java.lang.String aOwner)` Set the owner attribute.
    `void` | `setPe(java.lang.String aPe)` Set the pe attribute.
    `void` | `setPeRange(int index, Range apeRange)` Set a com.sun.grid.jgdi.configuration.Range attribute.
    `void` | `setQueue(int index, java.lang.String aqueue)` Set a java.lang.String attribute.
    `void` | `setReservedQueues(int index, QueueInstance areservedQueues)` Set a com.sun.grid.jgdi.configuration.QueueInstance attribute.
    `void` | `setResource(int index, ComplexEntry aresource)` Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
    `void` | `setResourceUtilization(int index, ResourceUtilization aresourceUtilization)` Set a com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
    `void` | `setStartTime(int aStartTime)` Set the startTime attribute.
    `void` | `setState(int aState)` Set the state attribute.
    `void` | `setSubmissionTime(int aSubmissionTime)` Set the submissionTime attribute.
    `void` | `setType(int aType)` Set the type attribute.
    `void` | `setVerify(int aVerify)` Set the verify attribute.
    `void` | `setXacl(int index, ARA axacl)` Set a com.sun.grid.jgdi.configuration.ARA attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### AdvanceReservationImpl

          public AdvanceReservationImpl()

      Create a new instance of AdvanceReservationImpl. The new instance will not be initialized with the default values.

    - #### AdvanceReservationImpl

          public AdvanceReservationImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### AdvanceReservationImpl

          public AdvanceReservationImpl(int id)

      Create a new instance of AdvanceReservationImpl

  - ### Method Detail

    - #### isSetId

          public boolean isSetId()

      Determine if the id attribute is set
      Specified by:
        `isSetId` in interface `AdvanceReservation`
      Returns:
        `true` if the id attribute is set

    - #### setId

          public void setId(int aId)

      Set the id attribute.
      Specified by:
        `setId` in interface `AdvanceReservation`
      Parameters:
        `aId` - the new value for the id attribute

    - #### getId

          public int getId()

      Get the value of the id attribute.
      Specified by:
        `getId` in interface `AdvanceReservation`
      Returns:
        the value of the id attribute

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `AdvanceReservation`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `AdvanceReservation`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `AdvanceReservation`
      Specified by:
        `getName` in interface `GEObject`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetAccount

          public boolean isSetAccount()

      Determine if the account attribute is set
      Specified by:
        `isSetAccount` in interface `AdvanceReservation`
      Returns:
        `true` if the account attribute is set

    - #### setAccount

          public void setAccount(java.lang.String aAccount)

      Set the account attribute.
      Specified by:
        `setAccount` in interface `AdvanceReservation`
      Parameters:
        `aAccount` - the new value for the account attribute

    - #### getAccount

          public java.lang.String getAccount()

      Get the value of the account attribute.
      Specified by:
        `getAccount` in interface `AdvanceReservation`
      Returns:
        the value of the account attribute

    - #### isSetOwner

          public boolean isSetOwner()

      Determine if the owner attribute is set
      Specified by:
        `isSetOwner` in interface `AdvanceReservation`
      Returns:
        `true` if the owner attribute is set

    - #### setOwner

          public void setOwner(java.lang.String aOwner)

      Set the owner attribute.
      Parameters:
        `aOwner` - the new value for the owner attribute

    - #### getOwner

          public java.lang.String getOwner()

      Get the value of the owner attribute.
      Specified by:
        `getOwner` in interface `AdvanceReservation`
      Returns:
        the value of the owner attribute

    - #### isSetGroup

          public boolean isSetGroup()

      Determine if the group attribute is set
      Specified by:
        `isSetGroup` in interface `AdvanceReservation`
      Returns:
        `true` if the group attribute is set

    - #### setGroup

          public void setGroup(java.lang.String aGroup)

      Set the group attribute.
      Parameters:
        `aGroup` - the new value for the group attribute

    - #### getGroup

          public java.lang.String getGroup()

      Get the value of the group attribute.
      Specified by:
        `getGroup` in interface `AdvanceReservation`
      Returns:
        the value of the group attribute

    - #### isSetSubmissionTime

          public boolean isSetSubmissionTime()

      Determine if the submissionTime attribute is set
      Specified by:
        `isSetSubmissionTime` in interface `AdvanceReservation`
      Returns:
        `true` if the submissionTime attribute is set

    - #### setSubmissionTime

          public void setSubmissionTime(int aSubmissionTime)

      Set the submissionTime attribute.
      Specified by:
        `setSubmissionTime` in interface `AdvanceReservation`
      Parameters:
        `aSubmissionTime` - the new value for the submissionTime attribute

    - #### getSubmissionTime

          public int getSubmissionTime()

      Get the value of the submissionTime attribute.
      Specified by:
        `getSubmissionTime` in interface `AdvanceReservation`
      Returns:
        the value of the submissionTime attribute

    - #### isSetStartTime

          public boolean isSetStartTime()

      Determine if the startTime attribute is set
      Specified by:
        `isSetStartTime` in interface `AdvanceReservation`
      Returns:
        `true` if the startTime attribute is set

    - #### setStartTime

          public void setStartTime(int aStartTime)

      Set the startTime attribute.
      Specified by:
        `setStartTime` in interface `AdvanceReservation`
      Parameters:
        `aStartTime` - the new value for the startTime attribute

    - #### getStartTime

          public int getStartTime()

      Get the value of the startTime attribute.
      Specified by:
        `getStartTime` in interface `AdvanceReservation`
      Returns:
        the value of the startTime attribute

    - #### isSetEndTime

          public boolean isSetEndTime()

      Determine if the endTime attribute is set
      Specified by:
        `isSetEndTime` in interface `AdvanceReservation`
      Returns:
        `true` if the endTime attribute is set

    - #### setEndTime

          public void setEndTime(int aEndTime)

      Set the endTime attribute.
      Specified by:
        `setEndTime` in interface `AdvanceReservation`
      Parameters:
        `aEndTime` - the new value for the endTime attribute

    - #### getEndTime

          public int getEndTime()

      Get the value of the endTime attribute.
      Specified by:
        `getEndTime` in interface `AdvanceReservation`
      Returns:
        the value of the endTime attribute

    - #### isSetDuration

          public boolean isSetDuration()

      Determine if the duration attribute is set
      Specified by:
        `isSetDuration` in interface `AdvanceReservation`
      Returns:
        `true` if the duration attribute is set

    - #### setDuration

          public void setDuration(int aDuration)

      Set the duration attribute.
      Specified by:
        `setDuration` in interface `AdvanceReservation`
      Parameters:
        `aDuration` - the new value for the duration attribute

    - #### getDuration

          public int getDuration()

      Get the value of the duration attribute.
      Specified by:
        `getDuration` in interface `AdvanceReservation`
      Returns:
        the value of the duration attribute

    - #### isSetVerify

          public boolean isSetVerify()

      Determine if the verify attribute is set
      Specified by:
        `isSetVerify` in interface `AdvanceReservation`
      Returns:
        `true` if the verify attribute is set

    - #### setVerify

          public void setVerify(int aVerify)

      Set the verify attribute.
      Specified by:
        `setVerify` in interface `AdvanceReservation`
      Parameters:
        `aVerify` - the new value for the verify attribute

    - #### getVerify

          public int getVerify()

      Get the value of the verify attribute.
      Specified by:
        `getVerify` in interface `AdvanceReservation`
      Returns:
        the value of the verify attribute

    - #### isSetErrorHandling

          public boolean isSetErrorHandling()

      Determine if the errorHandling attribute is set
      Specified by:
        `isSetErrorHandling` in interface `AdvanceReservation`
      Returns:
        `true` if the errorHandling attribute is set

    - #### setErrorHandling

          public void setErrorHandling(int aErrorHandling)

      Set the errorHandling attribute.
      Specified by:
        `setErrorHandling` in interface `AdvanceReservation`
      Parameters:
        `aErrorHandling` - the new value for the errorHandling attribute

    - #### getErrorHandling

          public int getErrorHandling()

      Get the value of the errorHandling attribute.
      Specified by:
        `getErrorHandling` in interface `AdvanceReservation`
      Returns:
        the value of the errorHandling attribute

    - #### isSetState

          public boolean isSetState()

      Determine if the state attribute is set
      Specified by:
        `isSetState` in interface `AdvanceReservation`
      Returns:
        `true` if the state attribute is set

    - #### setState

          public void setState(int aState)

      Set the state attribute.
      Parameters:
        `aState` - the new value for the state attribute

    - #### getState

          public int getState()

      Get the value of the state attribute.
      Specified by:
        `getState` in interface `AdvanceReservation`
      Returns:
        the value of the state attribute

    - #### isSetCheckpointName

          public boolean isSetCheckpointName()

      Determine if the checkpointName attribute is set
      Specified by:
        `isSetCheckpointName` in interface `AdvanceReservation`
      Returns:
        `true` if the checkpointName attribute is set

    - #### setCheckpointName

          public void setCheckpointName(java.lang.String aCheckpointName)

      Set the checkpointName attribute.
      Specified by:
        `setCheckpointName` in interface `AdvanceReservation`
      Parameters:
        `aCheckpointName` - the new value for the checkpointName attribute

    - #### getCheckpointName

          public java.lang.String getCheckpointName()

      Get the value of the checkpointName attribute.
      Specified by:
        `getCheckpointName` in interface `AdvanceReservation`
      Returns:
        the value of the checkpointName attribute

    - #### addResource

          public void addResource(ComplexEntry aresource)

      Add a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `addResource` in interface `AdvanceReservation`
      Parameters:
        `aresource` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### setResource

          public void setResource(int index,
                                  ComplexEntry aresource)

      Set a com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `setResource` in interface `AdvanceReservation`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute
        `aresource` - the new com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### removeAllResource

          public void removeAllResource()

      Remove all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `removeAllResource` in interface `AdvanceReservation`

    - #### removeResource

          public ComplexEntry removeResource(int index)

      Remote a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `removeResource` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ComplexEntry attribute or `null` if no attribute at this index is stored

    - #### removeResource

          public boolean removeResource(ComplexEntry aresource)

      Remote a specific com.sun.grid.jgdi.configuration.ComplexEntry attribute.
      Specified by:
        `removeResource` in interface `AdvanceReservation`
      Parameters:
        `aresource` - the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ComplexEntry attribute has been removed

    - #### getResourceList

          public java.util.List<ComplexEntry> getResourceList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getResourceList` in interface `AdvanceReservation`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ComplexEntry attributes

    - #### getResourceCount

          public int getResourceCount()

      Get the number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.
      Specified by:
        `getResourceCount` in interface `AdvanceReservation`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ComplexEntry attributes.

    - #### getResource

          public ComplexEntry getResource(int index)

      Get a com.sun.grid.jgdi.configuration.ComplexEntry attribute at an index.
      Specified by:
        `getResource` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ComplexEntry attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ComplexEntry attribute

    - #### isSetResource

          public boolean isSetResource()

      Determine if the resource attribute is set
      Specified by:
        `isSetResource` in interface `AdvanceReservation`
      Returns:
        `true` if the resource attribute is set

    - #### addResourceUtilization

          public void addResourceUtilization(ResourceUtilization aresourceUtilization)

      Add a com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
      Parameters:
        `aresourceUtilization` - the new com.sun.grid.jgdi.configuration.ResourceUtilization attribute

    - #### setResourceUtilization

          public void setResourceUtilization(int index,
                                             ResourceUtilization aresourceUtilization)

      Set a com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ResourceUtilization attribute
        `aresourceUtilization` - the new com.sun.grid.jgdi.configuration.ResourceUtilization attribute

    - #### removeAllResourceUtilization

          public void removeAllResourceUtilization()

      Remove all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.

    - #### removeResourceUtilization

          public ResourceUtilization removeResourceUtilization(int index)

      Remote a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceUtilization attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ResourceUtilization attribute or `null` if no attribute at this index is stored

    - #### removeResourceUtilization

          public boolean removeResourceUtilization(ResourceUtilization aresourceUtilization)

      Remote a specific com.sun.grid.jgdi.configuration.ResourceUtilization attribute.
      Parameters:
        `aresourceUtilization` - the com.sun.grid.jgdi.configuration.ResourceUtilization attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ResourceUtilization attribute has been removed

    - #### getResourceUtilizationList

          public java.util.List<ResourceUtilization> getResourceUtilizationList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
      Specified by:
        `getResourceUtilizationList` in interface `AdvanceReservation`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ResourceUtilization attributes

    - #### getResourceUtilizationCount

          public int getResourceUtilizationCount()

      Get the number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.
      Specified by:
        `getResourceUtilizationCount` in interface `AdvanceReservation`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ResourceUtilization attributes.

    - #### getResourceUtilization

          public ResourceUtilization getResourceUtilization(int index)

      Get a com.sun.grid.jgdi.configuration.ResourceUtilization attribute at an index.
      Specified by:
        `getResourceUtilization` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ResourceUtilization attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ResourceUtilization attribute

    - #### isSetResourceUtilization

          public boolean isSetResourceUtilization()

      Determine if the resourceUtilization attribute is set
      Specified by:
        `isSetResourceUtilization` in interface `AdvanceReservation`
      Returns:
        `true` if the resourceUtilization attribute is set

    - #### addQueue

          public void addQueue(java.lang.String aqueue)

      Add a java.lang.String attribute.
      Specified by:
        `addQueue` in interface `AdvanceReservation`
      Parameters:
        `aqueue` - the new java.lang.String attribute

    - #### setQueue

          public void setQueue(int index,
                               java.lang.String aqueue)

      Set a java.lang.String attribute.
      Specified by:
        `setQueue` in interface `AdvanceReservation`
      Parameters:
        `index` - index of the java.lang.String attribute
        `aqueue` - the new java.lang.String attribute

    - #### removeAllQueue

          public void removeAllQueue()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllQueue` in interface `AdvanceReservation`

    - #### removeQueue

          public java.lang.String removeQueue(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeQueue` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeQueue

          public boolean removeQueue(java.lang.String aqueue)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeQueue` in interface `AdvanceReservation`
      Parameters:
        `aqueue` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getQueueList

          public java.util.List<java.lang.String> getQueueList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getQueueList` in interface `AdvanceReservation`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getQueueCount

          public int getQueueCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getQueueCount` in interface `AdvanceReservation`
      Returns:
        The number of java.lang.String attributes.

    - #### getQueue

          public java.lang.String getQueue(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getQueue` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetQueue

          public boolean isSetQueue()

      Determine if the queue attribute is set
      Specified by:
        `isSetQueue` in interface `AdvanceReservation`
      Returns:
        `true` if the queue attribute is set

    - #### addGrantedSlots

          public void addGrantedSlots(JG agrantedSlots)

      Add a com.sun.grid.jgdi.configuration.JG attribute.
      Parameters:
        `agrantedSlots` - the new com.sun.grid.jgdi.configuration.JG attribute

    - #### setGrantedSlots

          public void setGrantedSlots(int index,
                                      JG agrantedSlots)

      Set a com.sun.grid.jgdi.configuration.JG attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.JG attribute
        `agrantedSlots` - the new com.sun.grid.jgdi.configuration.JG attribute

    - #### removeAllGrantedSlots

          public void removeAllGrantedSlots()

      Remove all com.sun.grid.jgdi.configuration.JG attributes.

    - #### removeGrantedSlots

          public JG removeGrantedSlots(int index)

      Remote a com.sun.grid.jgdi.configuration.JG attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.JG attribute or `null` if no attribute at this index is stored

    - #### removeGrantedSlots

          public boolean removeGrantedSlots(JG agrantedSlots)

      Remote a specific com.sun.grid.jgdi.configuration.JG attribute.
      Parameters:
        `agrantedSlots` - the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.JG attribute has been removed

    - #### getGrantedSlotsList

          public java.util.List<JG> getGrantedSlotsList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.JG attributes.
      Specified by:
        `getGrantedSlotsList` in interface `AdvanceReservation`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.JG attributes

    - #### getGrantedSlotsCount

          public int getGrantedSlotsCount()

      Get the number of com.sun.grid.jgdi.configuration.JG attributes.
      Specified by:
        `getGrantedSlotsCount` in interface `AdvanceReservation`
      Returns:
        The number of com.sun.grid.jgdi.configuration.JG attributes.

    - #### getGrantedSlots

          public JG getGrantedSlots(int index)

      Get a com.sun.grid.jgdi.configuration.JG attribute at an index.
      Specified by:
        `getGrantedSlots` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.JG attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.JG attribute

    - #### isSetGrantedSlots

          public boolean isSetGrantedSlots()

      Determine if the grantedSlots attribute is set
      Specified by:
        `isSetGrantedSlots` in interface `AdvanceReservation`
      Returns:
        `true` if the grantedSlots attribute is set

    - #### addReservedQueues

          public void addReservedQueues(QueueInstance areservedQueues)

      Add a com.sun.grid.jgdi.configuration.QueueInstance attribute.
      Parameters:
        `areservedQueues` - the new com.sun.grid.jgdi.configuration.QueueInstance attribute

    - #### setReservedQueues

          public void setReservedQueues(int index,
                                        QueueInstance areservedQueues)

      Set a com.sun.grid.jgdi.configuration.QueueInstance attribute.
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.QueueInstance attribute
        `areservedQueues` - the new com.sun.grid.jgdi.configuration.QueueInstance attribute

    - #### removeAllReservedQueues

          public void removeAllReservedQueues()

      Remove all com.sun.grid.jgdi.configuration.QueueInstance attributes.

    - #### removeReservedQueues

          public QueueInstance removeReservedQueues(int index)

      Remote a com.sun.grid.jgdi.configuration.QueueInstance attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstance attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.QueueInstance attribute or `null` if no attribute at this index is stored

    - #### removeReservedQueues

          public boolean removeReservedQueues(QueueInstance areservedQueues)

      Remote a specific com.sun.grid.jgdi.configuration.QueueInstance attribute.
      Parameters:
        `areservedQueues` - the com.sun.grid.jgdi.configuration.QueueInstance attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.QueueInstance attribute has been removed

    - #### getReservedQueuesList

          public java.util.List<QueueInstance> getReservedQueuesList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstance attributes.
      Specified by:
        `getReservedQueuesList` in interface `AdvanceReservation`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.QueueInstance attributes

    - #### getReservedQueuesCount

          public int getReservedQueuesCount()

      Get the number of com.sun.grid.jgdi.configuration.QueueInstance attributes.
      Specified by:
        `getReservedQueuesCount` in interface `AdvanceReservation`
      Returns:
        The number of com.sun.grid.jgdi.configuration.QueueInstance attributes.

    - #### getReservedQueues

          public QueueInstance getReservedQueues(int index)

      Get a com.sun.grid.jgdi.configuration.QueueInstance attribute at an index.
      Specified by:
        `getReservedQueues` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstance attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.QueueInstance attribute

    - #### isSetReservedQueues

          public boolean isSetReservedQueues()

      Determine if the reservedQueues attribute is set
      Specified by:
        `isSetReservedQueues` in interface `AdvanceReservation`
      Returns:
        `true` if the reservedQueues attribute is set

    - #### isSetMailOptions

          public boolean isSetMailOptions()

      Determine if the mailOptions attribute is set
      Specified by:
        `isSetMailOptions` in interface `AdvanceReservation`
      Returns:
        `true` if the mailOptions attribute is set

    - #### setMailOptions

          public void setMailOptions(int aMailOptions)

      Set the mailOptions attribute.
      Specified by:
        `setMailOptions` in interface `AdvanceReservation`
      Parameters:
        `aMailOptions` - the new value for the mailOptions attribute

    - #### getMailOptions

          public int getMailOptions()

      Get the value of the mailOptions attribute.
      Specified by:
        `getMailOptions` in interface `AdvanceReservation`
      Returns:
        the value of the mailOptions attribute

    - #### addMail

          public void addMail(MailReceiver amail)

      Add a com.sun.grid.jgdi.configuration.MailReceiver attribute.
      Specified by:
        `addMail` in interface `AdvanceReservation`
      Parameters:
        `amail` - the new com.sun.grid.jgdi.configuration.MailReceiver attribute

    - #### setMail

          public void setMail(int index,
                              MailReceiver amail)

      Set a com.sun.grid.jgdi.configuration.MailReceiver attribute.
      Specified by:
        `setMail` in interface `AdvanceReservation`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.MailReceiver attribute
        `amail` - the new com.sun.grid.jgdi.configuration.MailReceiver attribute

    - #### removeAllMail

          public void removeAllMail()

      Remove all com.sun.grid.jgdi.configuration.MailReceiver attributes.
      Specified by:
        `removeAllMail` in interface `AdvanceReservation`

    - #### removeMail

          public MailReceiver removeMail(int index)

      Remote a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
      Specified by:
        `removeMail` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.MailReceiver attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.MailReceiver attribute or `null` if no attribute at this index is stored

    - #### removeMail

          public boolean removeMail(MailReceiver amail)

      Remote a specific com.sun.grid.jgdi.configuration.MailReceiver attribute.
      Specified by:
        `removeMail` in interface `AdvanceReservation`
      Parameters:
        `amail` - the com.sun.grid.jgdi.configuration.MailReceiver attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.MailReceiver attribute has been removed

    - #### getMailList

          public java.util.List<MailReceiver> getMailList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.MailReceiver attributes.
      Specified by:
        `getMailList` in interface `AdvanceReservation`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.MailReceiver attributes

    - #### getMailCount

          public int getMailCount()

      Get the number of com.sun.grid.jgdi.configuration.MailReceiver attributes.
      Specified by:
        `getMailCount` in interface `AdvanceReservation`
      Returns:
        The number of com.sun.grid.jgdi.configuration.MailReceiver attributes.

    - #### getMail

          public MailReceiver getMail(int index)

      Get a com.sun.grid.jgdi.configuration.MailReceiver attribute at an index.
      Specified by:
        `getMail` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.MailReceiver attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.MailReceiver attribute

    - #### isSetMail

          public boolean isSetMail()

      Determine if the mail attribute is set
      Specified by:
        `isSetMail` in interface `AdvanceReservation`
      Returns:
        `true` if the mail attribute is set

    - #### isSetPe

          public boolean isSetPe()

      Determine if the pe attribute is set
      Specified by:
        `isSetPe` in interface `AdvanceReservation`
      Returns:
        `true` if the pe attribute is set

    - #### setPe

          public void setPe(java.lang.String aPe)

      Set the pe attribute.
      Specified by:
        `setPe` in interface `AdvanceReservation`
      Parameters:
        `aPe` - the new value for the pe attribute

    - #### getPe

          public java.lang.String getPe()

      Get the value of the pe attribute.
      Specified by:
        `getPe` in interface `AdvanceReservation`
      Returns:
        the value of the pe attribute

    - #### addPeRange

          public void addPeRange(Range apeRange)

      Add a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `addPeRange` in interface `AdvanceReservation`
      Parameters:
        `apeRange` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### setPeRange

          public void setPeRange(int index,
                                 Range apeRange)

      Set a com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `setPeRange` in interface `AdvanceReservation`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.Range attribute
        `apeRange` - the new com.sun.grid.jgdi.configuration.Range attribute

    - #### removeAllPeRange

          public void removeAllPeRange()

      Remove all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `removeAllPeRange` in interface `AdvanceReservation`

    - #### removePeRange

          public Range removePeRange(int index)

      Remote a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `removePeRange` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.Range attribute or `null` if no attribute at this index is stored

    - #### removePeRange

          public boolean removePeRange(Range apeRange)

      Remote a specific com.sun.grid.jgdi.configuration.Range attribute.
      Specified by:
        `removePeRange` in interface `AdvanceReservation`
      Parameters:
        `apeRange` - the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.Range attribute has been removed

    - #### getPeRangeList

          public java.util.List<Range> getPeRangeList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getPeRangeList` in interface `AdvanceReservation`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.Range attributes

    - #### getPeRangeCount

          public int getPeRangeCount()

      Get the number of com.sun.grid.jgdi.configuration.Range attributes.
      Specified by:
        `getPeRangeCount` in interface `AdvanceReservation`
      Returns:
        The number of com.sun.grid.jgdi.configuration.Range attributes.

    - #### getPeRange

          public Range getPeRange(int index)

      Get a com.sun.grid.jgdi.configuration.Range attribute at an index.
      Specified by:
        `getPeRange` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.Range attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.Range attribute

    - #### isSetPeRange

          public boolean isSetPeRange()

      Determine if the peRange attribute is set
      Specified by:
        `isSetPeRange` in interface `AdvanceReservation`
      Returns:
        `true` if the peRange attribute is set

    - #### isSetGrantedPe

          public boolean isSetGrantedPe()

      Determine if the grantedPe attribute is set
      Specified by:
        `isSetGrantedPe` in interface `AdvanceReservation`
      Returns:
        `true` if the grantedPe attribute is set

    - #### setGrantedPe

          public void setGrantedPe(java.lang.String aGrantedPe)

      Set the grantedPe attribute.
      Specified by:
        `setGrantedPe` in interface `AdvanceReservation`
      Parameters:
        `aGrantedPe` - the new value for the grantedPe attribute

    - #### getGrantedPe

          public java.lang.String getGrantedPe()

      Get the value of the grantedPe attribute.
      Specified by:
        `getGrantedPe` in interface `AdvanceReservation`
      Returns:
        the value of the grantedPe attribute

    - #### addMasterQueue

          public void addMasterQueue(java.lang.String amasterQueue)

      Add a java.lang.String attribute.
      Specified by:
        `addMasterQueue` in interface `AdvanceReservation`
      Parameters:
        `amasterQueue` - the new java.lang.String attribute

    - #### setMasterQueue

          public void setMasterQueue(int index,
                                     java.lang.String amasterQueue)

      Set a java.lang.String attribute.
      Specified by:
        `setMasterQueue` in interface `AdvanceReservation`
      Parameters:
        `index` - index of the java.lang.String attribute
        `amasterQueue` - the new java.lang.String attribute

    - #### removeAllMasterQueue

          public void removeAllMasterQueue()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllMasterQueue` in interface `AdvanceReservation`

    - #### removeMasterQueue

          public java.lang.String removeMasterQueue(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeMasterQueue` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeMasterQueue

          public boolean removeMasterQueue(java.lang.String amasterQueue)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeMasterQueue` in interface `AdvanceReservation`
      Parameters:
        `amasterQueue` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getMasterQueueList

          public java.util.List<java.lang.String> getMasterQueueList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getMasterQueueList` in interface `AdvanceReservation`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getMasterQueueCount

          public int getMasterQueueCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getMasterQueueCount` in interface `AdvanceReservation`
      Returns:
        The number of java.lang.String attributes.

    - #### getMasterQueue

          public java.lang.String getMasterQueue(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getMasterQueue` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetMasterQueue

          public boolean isSetMasterQueue()

      Determine if the masterQueue attribute is set
      Specified by:
        `isSetMasterQueue` in interface `AdvanceReservation`
      Returns:
        `true` if the masterQueue attribute is set

    - #### addAcl

          public void addAcl(ARA aacl)

      Add a com.sun.grid.jgdi.configuration.ARA attribute.
      Specified by:
        `addAcl` in interface `AdvanceReservation`
      Parameters:
        `aacl` - the new com.sun.grid.jgdi.configuration.ARA attribute

    - #### setAcl

          public void setAcl(int index,
                             ARA aacl)

      Set a com.sun.grid.jgdi.configuration.ARA attribute.
      Specified by:
        `setAcl` in interface `AdvanceReservation`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ARA attribute
        `aacl` - the new com.sun.grid.jgdi.configuration.ARA attribute

    - #### removeAllAcl

          public void removeAllAcl()

      Remove all com.sun.grid.jgdi.configuration.ARA attributes.
      Specified by:
        `removeAllAcl` in interface `AdvanceReservation`

    - #### removeAcl

          public ARA removeAcl(int index)

      Remote a com.sun.grid.jgdi.configuration.ARA attribute at an index.
      Specified by:
        `removeAcl` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ARA attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ARA attribute or `null` if no attribute at this index is stored

    - #### removeAcl

          public boolean removeAcl(ARA aacl)

      Remote a specific com.sun.grid.jgdi.configuration.ARA attribute.
      Specified by:
        `removeAcl` in interface `AdvanceReservation`
      Parameters:
        `aacl` - the com.sun.grid.jgdi.configuration.ARA attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ARA attribute has been removed

    - #### getAclList

          public java.util.List<ARA> getAclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ARA attributes.
      Specified by:
        `getAclList` in interface `AdvanceReservation`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ARA attributes

    - #### getAclCount

          public int getAclCount()

      Get the number of com.sun.grid.jgdi.configuration.ARA attributes.
      Specified by:
        `getAclCount` in interface `AdvanceReservation`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ARA attributes.

    - #### getAcl

          public ARA getAcl(int index)

      Get a com.sun.grid.jgdi.configuration.ARA attribute at an index.
      Specified by:
        `getAcl` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ARA attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ARA attribute

    - #### isSetAcl

          public boolean isSetAcl()

      Determine if the acl attribute is set
      Specified by:
        `isSetAcl` in interface `AdvanceReservation`
      Returns:
        `true` if the acl attribute is set

    - #### addXacl

          public void addXacl(ARA axacl)

      Add a com.sun.grid.jgdi.configuration.ARA attribute.
      Specified by:
        `addXacl` in interface `AdvanceReservation`
      Parameters:
        `axacl` - the new com.sun.grid.jgdi.configuration.ARA attribute

    - #### setXacl

          public void setXacl(int index,
                              ARA axacl)

      Set a com.sun.grid.jgdi.configuration.ARA attribute.
      Specified by:
        `setXacl` in interface `AdvanceReservation`
      Parameters:
        `index` - index of the com.sun.grid.jgdi.configuration.ARA attribute
        `axacl` - the new com.sun.grid.jgdi.configuration.ARA attribute

    - #### removeAllXacl

          public void removeAllXacl()

      Remove all com.sun.grid.jgdi.configuration.ARA attributes.
      Specified by:
        `removeAllXacl` in interface `AdvanceReservation`

    - #### removeXacl

          public ARA removeXacl(int index)

      Remote a com.sun.grid.jgdi.configuration.ARA attribute at an index.
      Specified by:
        `removeXacl` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ARA attribute which should be removed
      Returns:
        the removed com.sun.grid.jgdi.configuration.ARA attribute or `null` if no attribute at this index is stored

    - #### removeXacl

          public boolean removeXacl(ARA axacl)

      Remote a specific com.sun.grid.jgdi.configuration.ARA attribute.
      Specified by:
        `removeXacl` in interface `AdvanceReservation`
      Parameters:
        `axacl` - the com.sun.grid.jgdi.configuration.ARA attribute which should be removed
      Returns:
        `true` if the com.sun.grid.jgdi.configuration.ARA attribute has been removed

    - #### getXaclList

          public java.util.List<ARA> getXaclList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.ARA attributes.
      Specified by:
        `getXaclList` in interface `AdvanceReservation`
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.ARA attributes

    - #### getXaclCount

          public int getXaclCount()

      Get the number of com.sun.grid.jgdi.configuration.ARA attributes.
      Specified by:
        `getXaclCount` in interface `AdvanceReservation`
      Returns:
        The number of com.sun.grid.jgdi.configuration.ARA attributes.

    - #### getXacl

          public ARA getXacl(int index)

      Get a com.sun.grid.jgdi.configuration.ARA attribute at an index.
      Specified by:
        `getXacl` in interface `AdvanceReservation`
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.ARA attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.ARA attribute

    - #### isSetXacl

          public boolean isSetXacl()

      Determine if the xacl attribute is set
      Specified by:
        `isSetXacl` in interface `AdvanceReservation`
      Returns:
        `true` if the xacl attribute is set

    - #### isSetType

          public boolean isSetType()

      Determine if the type attribute is set
      Specified by:
        `isSetType` in interface `AdvanceReservation`
      Returns:
        `true` if the type attribute is set

    - #### setType

          public void setType(int aType)

      Set the type attribute.
      Specified by:
        `setType` in interface `AdvanceReservation`
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          public int getType()

      Get the value of the type attribute.
      Specified by:
        `getType` in interface `AdvanceReservation`
      Returns:
        the value of the type attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `AdvanceReservation`

    - #### getStateAsString

          public java.lang.String getStateAsString()

      Specified by:
        `getStateAsString` in interface `AdvanceReservation`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.